## daykountdown 0.1.0+p24.04+vstable+git20250901.1304

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vstable+git20250901.1304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 13:04:17 +0000

daykountdown (0.1.0-0neon) jammy; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 19 Feb 2023 11:44:23 +1000

## daykountdown 0.1.0+p24.04+vstable+git20250908.0826

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vstable+git20250908.0826-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:26:22 +0000

## daykountdown 0.1.0+p24.04+vstable+git20251015.1140

=== CMakeLists.txt ===
project(daykountdown)

cmake_minimum_required(VERSION 3.10)
set(KF5_MIN_VERSION "5.90.0")
set(QT_MIN_VERSION "5.15.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)

################# Find dependencies #################

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Svg Sql)
set_package_properties(Qt${QT_MAJOR_VERSION} PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO Kirigami2 I18n CoreAddons WidgetsAddons)
set_package_properties(KF5 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# build and install #################
install(FILES org.kde.daykountdown.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.daykountdown.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(daykountdown_SRCS
    main.cpp
    kountdownmodel.cpp
    importexport.cpp
    aboutdatapasser.cpp
    resources.qrc
    )

add_executable(daykountdown ${daykountdown_SRCS})

ecm_add_app_icon(DAYKOUNTDOWN_ICON ICONS ${CMAKE_SOURCE_DIR}/org.kde.daykountdown.png)
target_sources(daykountdown PRIVATE ${DAYKOUNTDOWN_ICON})
target_link_libraries(daykountdown 
	Qt::Quick
	Qt::QuickControls2
	Qt::Qml
	Qt::Gui
	Qt::Sql
	Qt::Svg
	KF5::Kirigami2
	KF5::I18n
	KF5::CoreAddons
	KF5::ConfigCore
	KF5::ConfigGui
	KF5::WidgetsAddons
	KF5::KIOCore)
kconfig_add_kcfg_files(daykountdown GENERATE_MOC daykountdownconfig.kcfgc)

if(ANDROID)
    kirigami_package_breeze_icons(ICONS
        "help-about"
        "document-open"
        "document-save"
        "edit-clear"
        "list-add"
        "configure"
    )
endif()

install(TARGETS daykountdown ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vstable+git20251015.1140-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:40:38 +0000

=== debian/control ===
Source: daykountdown
Section: kde
Priority: optional
XSBC-Original-Maintainer: Linus Jahn <lnj@kaidan.im>
Build-Depends: cmake (>= 3.0.0),
               debhelper (>= 11),
               extra-cmake-modules,
               fontconfig,
               kirigami2-dev,
               libfreetype-dev,
               libkf5auth-dev,
               libkf5calendarcore-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5qml5,
               libqt5qmlmodels5,
               libqt5sql5,
               libqt5svg5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev
Standards-Version: 4.2.1
Homepage: https://invent.kde.org/utilities/daykountdown
Vcs-Git: https://invent.kde.org/neon/neon-packaging/daykountdown.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/daykountdown
Maintainer: Neon CI <neon@kde.org>

Package: daykountdown
Architecture: any
Depends: qml-module-org-kde-kirigami-addons-datetime,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kirigamiaddons,
         qml-module-org-kde-kitemmodels,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Calendar application for Plasma Mobile
 Simple calendar using Kirigami for a convergent user interface.

## daykountdown 0.1.0+p24.04+vstable+git20251020.0316

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vstable+git20251020.0316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:16:36 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5

## daykountdown 0.1.0+p24.04+vstable+git20251220.0248

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vstable+git20251220.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:48:39 +0000

## daykountdown 0.1.0+p24.04+vstable+git20251231.0526

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vstable+git20251231.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:26:18 +0000

## daykountdown 0.1.0+p24.04+vunstable+git20251113.0334

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vunstable+git20251113.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 03:34:46 +0000

## daykountdown 0.1.0+p24.04+vunstable+git20251124.0941

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vunstable+git20251124.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:41:42 +0000

## daykountdown 0.1.0+p24.04+vunstable+git20260105.1306

=== debian/changelog ===
daykountdown (0.1.0+p24.04+vunstable+git20260105.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:06:18 +0000
